
QGIS Application - Bug report #21390

Z snapping does not work for POINT Z / MULTIPOINT Z entities

2019-02-26 10:53 AM - Arnaud Poncet-Montanges

Status: Closed

Priority: Normal

Assignee: Loïc BARTOLETTI

Category: Digitising

Affected QGIS version:3.4.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29207

Description

In QGIS 2 and 3, when snapping at insertion : 

    -  a Point Z on a Point Z, LinestringZ or PolygonZ, Point Z doesn't get Z value

    -  a Linestring Z on a Point Z, LinestringZ or PolygonZ, Point Z get Z value correctly

    -  a Polygon Z on a Point Z, LinestringZ or PolygonZ, Point Z get Z value correctly

It would be nice to have same Z handling when snapping.

Associated revisions

Revision 0cb0e387 - 2019-03-21 04:52 PM - Loïc BARTOLETTI

Fix Z snapping for point. Point was always returned as a XY Point. Fixes #21390

Revision 48fdf1c0 - 2019-03-21 04:52 PM - Loïc BARTOLETTI

Fix Z snapping for point. Point was always returned as a XY Point. Fixes #21390

Revision 1f4b81a4 - 2019-03-21 04:52 PM - Loïc BARTOLETTI

Fix Z snapping for point. Point was always returned as a XY Point. Fixes #21390

History

#1 - 2019-02-26 11:55 AM - Giovanni Manghi

- Tracker changed from Feature request to Bug report

- Affected QGIS version set to 3.4.5

- Priority changed from High to Normal

- Category changed from 3D to Digitising

- Subject changed from QGIS 2 + 3 : Z snapping does not work for POINT Z / MULTIPOINT Z entities to Z snapping does not work for POINT Z / 

MULTIPOINT Z entities

- Regression? set to No

- Crashes QGIS or corrupts data set to No

#2 - 2019-02-27 06:38 AM - Loïc BARTOLETTI

- Assignee set to Loïc BARTOLETTI

#3 - 2019-02-27 08:18 AM - Loïc BARTOLETTI

- Status changed from Open to In Progress
#4 - 2019-03-25 07:31 AM - Loïc BARTOLETTI

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|0cb0e387c2e784aae6b989b8faeb840a1e759841.
